#### D.2.12.8 fetchall

Procedure from library `ring.lib` (see ring_lib).

Usage:
  fetchall(R[,s]); R=ring/qring, s=string

Create:
  fetch all objects of ring R (of type poly/ideal/vector/module/number/matrix) into the basering.
  If no 2nd argument is present, the names are the same as in R. If, say, f is a polynomial in R and the 2nd argument is the string "R", then f is mapped to f_R etc.

Return:
  no return value

Note:
  As fetch, this procedure maps the 1st, 2nd, ... variable of R to the 1st, 2nd, ... variable of the basering.
  The 2nd argument is useful in order to avoid conflicts of names, the empty string is allowed

Caution:
  fetchall does not work for locally defined names.
  It does not work if R contains a map.

Example:

    LIB "ring.lib";
    // The example is not shown since fetchall does not work in a procedure;
    // (and hence not in the example procedure). Try the following commands:
    //   ring R=0,(x,y,z),dp;
    //   ideal j=x,y2,z2;
    //   matrix M[2][3]=1,2,3,x,y,z;
    //   j; print(M);
    //   ring S=0,(a,b,c),ds;
    //   fetchall(R);       //map from R to S: x->a, y->b, z->c;
    //   names(S);
    //   j; print(M);
    //   fetchall(S,"1");   //identity map of S: copy objects, change names
    //   names(S);
    //   kill R,S;

See also: imapall.

User manual for Singular version 4.4.1, 2025, generated by texi2html.